Bug 731063

Summary: makedb has an executable stack
Product: [Fedora] Fedora Reporter: Steve Grubb <sgrubb>
Component: glibcAssignee: Andreas Schwab <schwab>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: fweimer, jakub, schwab
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glibc-2.14.90-8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-13 06:11:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Steve Grubb 2011-08-16 15:57:54 UTC
Description of problem:
The makedb program has an executable stack:
# eu-readelf -l /usr/bin/makedb | grep STACK
  GNU_STACK      0x000000 0x0000000000000000 0x0000000000000000 0x000000 0x000000 RWE 0x8

It should not have an executable stack.

Version-Release number of selected component (if applicable):
# rpm -qf /usr/bin/makedb
glibc-common-2.14.90-4.x86_64

Comment 1 Fedora Update System 2011-08-24 15:27:14 UTC
glibc-2.14.90-6 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/glibc-2.14.90-6

Comment 2 Fedora Update System 2011-08-24 22:46:32 UTC
Package glibc-2.14.90-6:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.14.90-6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.14.90-6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-09-02 07:18:57 UTC
glibc-2.14.90-7 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/glibc-2.14.90-7

Comment 4 Fedora Update System 2011-09-13 06:11:08 UTC
glibc-2.14.90-8 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.